Subject: Re: [X2Go-Dev] Bug#534: Windows: PyHoca-GUI fails to start (ImportError: No module named wx)

From: Mike Gabriel <[email-masked]>
Date: Sat, 05 Jul 2014 22:21:01 +0000

Hi Michael,

On  Sa 05 Jul 2014 15:46:24 CEST, Michael DePaulo wrote:

> package: pyhoca-gui
> version: 0.5.0.0-preview
>
> For some reason I cannot figure out, on my home desktop (Windows 8.1
> with update 1 64-bit) I experience the error below when I try to
> launch PyHoca-GUI in development mode.
>
> I have not been able to testPyHoca-GUI in regular/installed mode due to #531.
>
> Yet on the X2Go-WinBuilder VM (Windows 7 64-bit SP1,) which I am
> almost certain I did the same exact setup work on (according to the
> instructions immediately below), it does not have the problem. It
> launches pyhoca-gui successfully.
> http://wiki.x2go.org/doku.php/wiki:development:build-howto-mswin:pyhoca-gui
>
> I've attached a 1 line fix. I'd like to discuss it before I commit it.

IMHO you have to make sure that the correct wx version is loaded.

So if we place an "import wx" into pyhoca-gui(.exe), we should make  
sure the correct wx.version is used. So "import wx" needs to be blown  
up to:

"""
try:
     import wxversion
     wxversion.select('2.9')
except: pass

try:
     import wxversion
     wxversion.select('2.8')
except: pass

import wx
"""

If that fixes the problem on Windows, I am happy with these extra  
lines in pyhoca-gui. (Please accompany those lines with a comment that  
explains, why the import occurs there, although the wx module is not  
used in pyhoca-gui(.exe) directly (but only in submodules).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb